set relocate_font_png_cmd=..\relocate_font_png.exe
set mask_png_cmd=..\mask_png.exe
set modify_font_info_cmd=..\modify_font_info.exe

set orig_dir=ORIG_DATA_UNMASKED
set in_dir=FONT_WORK
set out_dir=FONT_MERGED
set masked_dir=FONT_NEW

set rect_standard=system_standard.txt
set rect_mc_dialog=mc_dialog.txt

set charset_orig_standard=charset_orig_standard.txt
set charset_orig_mc_dialog=charset_orig_mc_dialog.txt
set charset_ja=charset_ja.txt

set in_font_cfg=font.cfg
set out_font_cfg=font_new.cfg
set list_file=rect_list.txt

if not exist %out_dir% mkdir %out_dir%

%relocate_font_png_cmd% --overwrap %orig_dir%\02593.interface.png                      %orig_dir%\02593.txt -a %in_dir%\02593.interface.png                      %in_dir%\%rect_standard%  %out_dir%\02593.interface.png                      %out_dir%\02593.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02594.interface_active.png               %orig_dir%\02594.txt -a %in_dir%\02594.interface_active.png               %in_dir%\%rect_standard%  %out_dir%\02594.interface_active.png               %out_dir%\02594.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02597.mc_dialog.png                      %orig_dir%\02597.txt -a %in_dir%\02597.mc_dialog.png                      %in_dir%\%rect_mc_dialog% %out_dir%\02597.mc_dialog.png                      %out_dir%\02597.txt --size 1024 2000 --sort --charset %charset_orig_mc_dialog% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02598.mc_dialog_active.png               %orig_dir%\02598.txt -a %in_dir%\02598.mc_dialog_active.png               %in_dir%\%rect_mc_dialog% %out_dir%\02598.mc_dialog_active.png               %out_dir%\02598.txt --size 1024 2000 --sort --charset %charset_orig_mc_dialog% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02599.fay_standard.png                   %orig_dir%\02599.txt -a %in_dir%\02599.fay_standard.png                   %in_dir%\%rect_standard%  %out_dir%\02599.fay_standard.png                   %out_dir%\02599.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02600.bent_standard.png                  %orig_dir%\02600.txt -a %in_dir%\02600.bent_standard.png                  %in_dir%\%rect_standard%  %out_dir%\02600.bent_standard.png                  %out_dir%\02600.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02601.nigel_standard.png                 %orig_dir%\02601.txt -a %in_dir%\02601.nigel_standard.png                 %in_dir%\%rect_standard%  %out_dir%\02601.nigel_standard.png                 %out_dir%\02601.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02602.salvador_standard.png              %orig_dir%\02602.txt -a %in_dir%\02602.salvador_standard.png              %in_dir%\%rect_standard%  %out_dir%\02602.salvador_standard.png              %out_dir%\02602.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02603.delvin_standard.png                %orig_dir%\02603.txt -a %in_dir%\02603.delvin_standard.png                %in_dir%\%rect_standard%  %out_dir%\02603.delvin_standard.png                %out_dir%\02603.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02604.nachrichtensprecherin_standard.png %orig_dir%\02604.txt -a %in_dir%\02604.nachrichtensprecherin_standard.png %in_dir%\%rect_standard%  %out_dir%\02604.nachrichtensprecherin_standard.png %out_dir%\02604.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02605.pressesprecher_standard.png        %orig_dir%\02605.txt -a %in_dir%\02605.pressesprecher_standard.png        %in_dir%\%rect_standard%  %out_dir%\02605.pressesprecher_standard.png        %out_dir%\02605.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02606.duve_standard.png                  %orig_dir%\02606.txt -a %in_dir%\02606.duve_standard.png                  %in_dir%\%rect_standard%  %out_dir%\02606.duve_standard.png                  %out_dir%\02606.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02607.barney_standard.png                %orig_dir%\02607.txt -a %in_dir%\02607.barney_standard.png                %in_dir%\%rect_standard%  %out_dir%\02607.barney_standard.png                %out_dir%\02607.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02608.oggy_standard.png                  %orig_dir%\02608.txt -a %in_dir%\02608.oggy_standard.png                  %in_dir%\%rect_standard%  %out_dir%\02608.oggy_standard.png                  %out_dir%\02608.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02609.indez_standard.png                 %orig_dir%\02609.txt -a %in_dir%\02609.indez_standard.png                 %in_dir%\%rect_standard%  %out_dir%\02609.indez_standard.png                 %out_dir%\02609.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02610.sonstige_standard.png              %orig_dir%\02610.txt -a %in_dir%\02610.sonstige_standard.png              %in_dir%\%rect_standard%  %out_dir%\02610.sonstige_standard.png              %out_dir%\02610.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02611.lissa_standard.png                 %orig_dir%\02611.txt -a %in_dir%\02611.lissa_standard.png                 %in_dir%\%rect_standard%  %out_dir%\02611.lissa_standard.png                 %out_dir%\02611.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02612.tim_standard.png                   %orig_dir%\02612.txt -a %in_dir%\02612.tim_standard.png                   %in_dir%\%rect_standard%  %out_dir%\02612.tim_standard.png                   %out_dir%\02612.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02613.quickie_standard.png               %orig_dir%\02613.txt -a %in_dir%\02613.quickie_standard.png               %in_dir%\%rect_standard%  %out_dir%\02613.quickie_standard.png               %out_dir%\02613.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02614.kellerman_standard.png             %orig_dir%\02614.txt -a %in_dir%\02614.kellerman_standard.png             %in_dir%\%rect_standard%  %out_dir%\02614.kellerman_standard.png             %out_dir%\02614.txt --size 1024 2000 --sort --charset %charset_orig_standard%  --charset %charset_ja%

%mask_png_cmd% %out_dir% %masked_dir%

%modify_font_info_cmd% %in_font_cfg% %list_file% %out_font_cfg%

