#! /bin/sh

cmd_mkvmerge=/usr/local/bin/mkvmerge
in_dir="/install_directory/A New Beginning - Final Cut/videos"
out_dir="VIDEOS_NEW"

if [ ! -d "$out_dir" ]
then
	mkdir -p "$out_dir"
fi

if [ -f subtitle.000.ja.txt -a ! subtitle.000.ja.txt -ot "$out_dir"/video.vv000 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv000 --track-order $order -s !5 "$in_dir"/video.vv000 --language 0:eng subtitle.000.ja.txt
fi

if [ -f subtitle.001.ja.txt -a ! subtitle.001.ja.txt -ot "$out_dir"/video.vv001 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv001 --track-order $order -s !5 "$in_dir"/video.vv001 --language 0:eng subtitle.001.ja.txt
fi

if [ -f subtitle.002.ja.txt -a ! subtitle.002.ja.txt -ot "$out_dir"/video.vv002 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv002 --track-order $order -s !5 "$in_dir"/video.vv002 --language 0:eng subtitle.002.ja.txt
fi

if [ -f subtitle.003.ja.txt -a ! subtitle.003.ja.txt -ot "$out_dir"/video.vv003 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv003 --track-order $order -s !5 "$in_dir"/video.vv003 --language 0:eng subtitle.003.ja.txt
fi

if [ -f subtitle.004.ja.txt -a ! subtitle.004.ja.txt -ot "$out_dir"/video.vv004 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv004 --track-order $order -s !5 "$in_dir"/video.vv004 --language 0:eng subtitle.004.ja.txt
fi

if [ -f subtitle.008.ja.txt -a ! subtitle.008.ja.txt -ot "$out_dir"/video.vv008 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv008 --track-order $order -s !5 "$in_dir"/video.vv008 --language 0:eng subtitle.008.ja.txt
fi

if [ -f subtitle.011.ja.txt -a ! subtitle.011.ja.txt -ot "$out_dir"/video.vv011 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv011 --track-order $order -s !5 "$in_dir"/video.vv011 --language 0:eng subtitle.011.ja.txt
fi

if [ -f subtitle.013.ja.txt -a ! subtitle.013.ja.txt -ot "$out_dir"/video.vv013 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv013 --track-order $order -s !5 "$in_dir"/video.vv013 --language 0:eng subtitle.013.ja.txt
fi

if [ -f subtitle.014.ja.txt -a ! subtitle.014.ja.txt -ot "$out_dir"/video.vv014 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv014 --track-order $order -s !5 "$in_dir"/video.vv014 --language 0:eng subtitle.014.ja.txt
fi

if [ -f subtitle.015.ja.txt -a ! subtitle.015.ja.txt -ot "$out_dir"/video.vv015 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv015 --track-order $order -s !5 "$in_dir"/video.vv015 --language 0:eng subtitle.015.ja.txt
fi

if [ -f subtitle.016.ja.txt -a ! subtitle.016.ja.txt -ot "$out_dir"/video.vv016 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv016 --track-order $order -s !5 "$in_dir"/video.vv016 --language 0:eng subtitle.016.ja.txt
fi

if [ -f subtitle.017.ja.txt -a ! subtitle.017.ja.txt -ot "$out_dir"/video.vv017 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv017 --track-order $order -s !5 "$in_dir"/video.vv017 --language 0:eng subtitle.017.ja.txt
fi

if [ -f subtitle.018.ja.txt -a ! subtitle.018.ja.txt -ot "$out_dir"/video.vv018 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv018 --track-order $order -s !5 "$in_dir"/video.vv018 --language 0:eng subtitle.018.ja.txt
fi

if [ -f subtitle.019.ja.txt -a ! subtitle.019.ja.txt -ot "$out_dir"/video.vv019 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv019 --track-order $order -s !5 "$in_dir"/video.vv019 --language 0:eng subtitle.019.ja.txt
fi

if [ -f subtitle.020.ja.txt -a ! subtitle.020.ja.txt -ot "$out_dir"/video.vv020 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv020 --track-order $order -s !5 "$in_dir"/video.vv020 --language 0:eng subtitle.020.ja.txt
fi

if [ -f subtitle.021.ja.txt -a ! subtitle.021.ja.txt -ot "$out_dir"/video.vv021 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv021 --track-order $order -s !5 "$in_dir"/video.vv021 --language 0:eng subtitle.021.ja.txt
fi

if [ -f subtitle.022.ja.txt -a ! subtitle.022.ja.txt -ot "$out_dir"/video.vv022 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv022 --track-order $order -s !5 "$in_dir"/video.vv022 --language 0:eng subtitle.022.ja.txt
fi

if [ -f subtitle.023.ja.txt -a ! subtitle.023.ja.txt -ot "$out_dir"/video.vv023 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv023 --track-order $order -s !5 "$in_dir"/video.vv023 --language 0:eng subtitle.023.ja.txt
fi

if [ -f subtitle.024.ja.txt -a ! subtitle.024.ja.txt -ot "$out_dir"/video.vv024 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv024 --track-order $order -s !5 "$in_dir"/video.vv024 --language 0:eng subtitle.024.ja.txt
fi

if [ -f subtitle.025.ja.txt -a ! subtitle.025.ja.txt -ot "$out_dir"/video.vv025 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv025 --track-order $order -s !5 "$in_dir"/video.vv025 --language 0:eng subtitle.025.ja.txt
fi

if [ -f subtitle.026.ja.txt -a ! subtitle.026.ja.txt -ot "$out_dir"/video.vv026 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv026 --track-order $order -s !5 "$in_dir"/video.vv026 --language 0:eng subtitle.026.ja.txt
fi

if [ -f subtitle.027.ja.txt -a ! subtitle.027.ja.txt -ot "$out_dir"/video.vv027 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv027 --track-order $order -s !5 "$in_dir"/video.vv027 --language 0:eng subtitle.027.ja.txt
fi

if [ -f subtitle.028.ja.txt -a ! subtitle.028.ja.txt -ot "$out_dir"/video.vv028 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv028 --track-order $order -s !5 "$in_dir"/video.vv028 --language 0:eng subtitle.028.ja.txt
fi

if [ -f subtitle.030.ja.txt -a ! subtitle.030.ja.txt -ot "$out_dir"/video.vv030 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv030 --track-order $order -s !5 "$in_dir"/video.vv030 --language 0:eng subtitle.030.ja.txt
fi

if [ -f subtitle.031.ja.txt -a ! subtitle.031.ja.txt -ot "$out_dir"/video.vv031 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv031 --track-order $order -s !5 "$in_dir"/video.vv031 --language 0:eng subtitle.031.ja.txt
fi

if [ -f subtitle.032.ja.txt -a ! subtitle.032.ja.txt -ot "$out_dir"/video.vv032 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv032 --track-order $order -s !5 "$in_dir"/video.vv032 --language 0:eng subtitle.032.ja.txt
fi

if [ -f subtitle.033.ja.txt -a ! subtitle.033.ja.txt -ot "$out_dir"/video.vv033 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv033 --track-order $order -s !5 "$in_dir"/video.vv033 --language 0:eng subtitle.033.ja.txt
fi

if [ -f subtitle.034.ja.txt -a ! subtitle.034.ja.txt -ot "$out_dir"/video.vv034 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv034 --track-order $order -s !5 "$in_dir"/video.vv034 --language 0:eng subtitle.034.ja.txt
fi

if [ -f subtitle.035.ja.txt -a ! subtitle.035.ja.txt -ot "$out_dir"/video.vv035 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv035 --track-order $order -s !5 "$in_dir"/video.vv035 --language 0:eng subtitle.035.ja.txt
fi

if [ -f subtitle.036.ja.txt -a ! subtitle.036.ja.txt -ot "$out_dir"/video.vv036 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv036 --track-order $order -s !5 "$in_dir"/video.vv036 --language 0:eng subtitle.036.ja.txt
fi

if [ -f subtitle.037.ja.txt -a ! subtitle.037.ja.txt -ot "$out_dir"/video.vv037 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv037 --track-order $order -s !5 "$in_dir"/video.vv037 --language 0:eng subtitle.037.ja.txt
fi

if [ -f subtitle.038.ja.txt -a ! subtitle.038.ja.txt -ot "$out_dir"/video.vv038 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv038 --track-order $order -s !5 "$in_dir"/video.vv038 --language 0:eng subtitle.038.ja.txt
fi

if [ -f subtitle.039.ja.txt -a ! subtitle.039.ja.txt -ot "$out_dir"/video.vv039 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv039 --track-order $order -s !5 "$in_dir"/video.vv039 --language 0:eng subtitle.039.ja.txt
fi

if [ -f subtitle.040.ja.txt -a ! subtitle.040.ja.txt -ot "$out_dir"/video.vv040 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv040 --track-order $order -s !5 "$in_dir"/video.vv040 --language 0:eng subtitle.040.ja.txt
fi

if [ -f subtitle.041.ja.txt -a ! subtitle.041.ja.txt -ot "$out_dir"/video.vv041 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv041 --track-order $order -s !5 "$in_dir"/video.vv041 --language 0:eng subtitle.041.ja.txt
fi

if [ -f subtitle.042.ja.txt -a ! subtitle.042.ja.txt -ot "$out_dir"/video.vv042 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv042 --track-order $order -s !5 "$in_dir"/video.vv042 --language 0:eng subtitle.042.ja.txt
fi

if [ -f subtitle.043.ja.txt -a ! subtitle.043.ja.txt -ot "$out_dir"/video.vv043 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv043 --track-order $order -s !5 "$in_dir"/video.vv043 --language 0:eng subtitle.043.ja.txt
fi

if [ -f subtitle.044.ja.txt -a ! subtitle.044.ja.txt -ot "$out_dir"/video.vv044 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv044 --track-order $order -s !5 "$in_dir"/video.vv044 --language 0:eng subtitle.044.ja.txt
fi

if [ -f subtitle.045.ja.txt -a ! subtitle.045.ja.txt -ot "$out_dir"/video.vv045 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv045 --track-order $order -s !5 "$in_dir"/video.vv045 --language 0:eng subtitle.045.ja.txt
fi

if [ -f subtitle.046.ja.txt -a ! subtitle.046.ja.txt -ot "$out_dir"/video.vv046 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv046 --track-order $order -s !5 "$in_dir"/video.vv046 --language 0:eng subtitle.046.ja.txt
fi

if [ -f subtitle.047.ja.txt -a ! subtitle.047.ja.txt -ot "$out_dir"/video.vv047 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv047 --track-order $order -s !5 "$in_dir"/video.vv047 --language 0:eng subtitle.047.ja.txt
fi

if [ -f subtitle.048.ja.txt -a ! subtitle.048.ja.txt -ot "$out_dir"/video.vv048 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv048 --track-order $order -s !5 "$in_dir"/video.vv048 --language 0:eng subtitle.048.ja.txt
fi

if [ -f subtitle.049.ja.txt -a ! subtitle.049.ja.txt -ot "$out_dir"/video.vv049 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv049 --track-order $order -s !5 "$in_dir"/video.vv049 --language 0:eng subtitle.049.ja.txt
fi

if [ -f subtitle.050.ja.txt -a ! subtitle.050.ja.txt -ot "$out_dir"/video.vv050 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv050 --track-order $order -s !5 "$in_dir"/video.vv050 --language 0:eng subtitle.050.ja.txt
fi

if [ -f subtitle.053.ja.txt -a ! subtitle.053.ja.txt -ot "$out_dir"/video.vv053 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv053 --track-order $order -s !5 "$in_dir"/video.vv053 --language 0:eng subtitle.053.ja.txt
fi

if [ -f subtitle.054.ja.txt -a ! subtitle.054.ja.txt -ot "$out_dir"/video.vv054 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv054 --track-order $order -s !5 "$in_dir"/video.vv054 --language 0:eng subtitle.054.ja.txt
fi

if [ -f subtitle.055.ja.txt -a ! subtitle.055.ja.txt -ot "$out_dir"/video.vv055 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv055 --track-order $order -s !5 "$in_dir"/video.vv055 --language 0:eng subtitle.055.ja.txt
fi

if [ -f subtitle.056.ja.txt -a ! subtitle.056.ja.txt -ot "$out_dir"/video.vv056 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv056 --track-order $order -s !5 "$in_dir"/video.vv056 --language 0:eng subtitle.056.ja.txt
fi

if [ -f subtitle.057.ja.txt -a ! subtitle.057.ja.txt -ot "$out_dir"/video.vv057 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv057 --track-order $order -s !5 "$in_dir"/video.vv057 --language 0:eng subtitle.057.ja.txt
fi

if [ -f subtitle.058.ja.txt -a ! subtitle.058.ja.txt -ot "$out_dir"/video.vv058 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv058 --track-order $order -s !5 "$in_dir"/video.vv058 --language 0:eng subtitle.058.ja.txt
fi

if [ -f subtitle.059.ja.txt -a ! subtitle.059.ja.txt -ot "$out_dir"/video.vv059 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv059 --track-order $order -s !5 "$in_dir"/video.vv059 --language 0:eng subtitle.059.ja.txt
fi

if [ -f subtitle.060.ja.txt -a ! subtitle.060.ja.txt -ot "$out_dir"/video.vv060 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv060 --track-order $order -s !5 "$in_dir"/video.vv060 --language 0:eng subtitle.060.ja.txt
fi

if [ -f subtitle.061.ja.txt -a ! subtitle.061.ja.txt -ot "$out_dir"/video.vv061 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv061 --track-order $order -s !5 "$in_dir"/video.vv061 --language 0:eng subtitle.061.ja.txt
fi

if [ -f subtitle.062.ja.txt -a ! subtitle.062.ja.txt -ot "$out_dir"/video.vv062 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv062 --track-order $order -s !5 "$in_dir"/video.vv062 --language 0:eng subtitle.062.ja.txt
fi

if [ -f subtitle.063.ja.txt -a ! subtitle.063.ja.txt -ot "$out_dir"/video.vv063 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv063 --track-order $order -s !5 "$in_dir"/video.vv063 --language 0:eng subtitle.063.ja.txt
fi

if [ -f subtitle.064.ja.txt -a ! subtitle.064.ja.txt -ot "$out_dir"/video.vv064 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv064 --track-order $order -s !5 "$in_dir"/video.vv064 --language 0:eng subtitle.064.ja.txt
fi

if [ -f subtitle.066.ja.txt -a ! subtitle.066.ja.txt -ot "$out_dir"/video.vv066 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv066 --track-order $order -s !5 "$in_dir"/video.vv066 --language 0:eng subtitle.066.ja.txt
fi

if [ -f subtitle.067.ja.txt -a ! subtitle.067.ja.txt -ot "$out_dir"/video.vv067 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv067 --track-order $order -s !5 "$in_dir"/video.vv067 --language 0:eng subtitle.067.ja.txt
fi

