#! /bin/sh

relocate_font_png_cmd=../relocate_font_png
charset=charset_work.txt
in_dir=FONT_WORK
out_dir=FONT_WORK

if [ ! -d $out_dir ]
then
	mkdir -p $out_dir
fi

$relocate_font_png_cmd $in_dir/cinecap_26.png       $in_dir/cinecap_26.txt       $out_dir/system_standard.png       $out_dir/system_standard.txt       -c $charset --size 2048 4096 --padding-top  6
$relocate_font_png_cmd $in_dir/mincho_black_25.png  $in_dir/mincho_black_25.txt  $out_dir/system_options.png        $out_dir/system_options.txt        -c $charset --size 2048 4096 --padding-top  8 --padding-left 2 --padding-right 1
# $relocate_font_png_cmd $in_dir/cinecap_18.png       $in_dir/cinecap_18.txt       $out_dir/system_small.png          $out_dir/system_small.txt          -c $charset --size 1024 2048 --padding-top  5
$relocate_font_png_cmd $in_dir/cinecap_alt_28.png   $in_dir/cinecap_alt_28.txt   $out_dir/system_diary.png          $out_dir/system_diary.txt          -c $charset --size 2048 4096 --padding-top  8 --padding-left 1
$relocate_font_png_cmd $in_dir/cinecap_alt_30.png   $in_dir/cinecap_alt_30.txt   $out_dir/system_diary_headline.png $out_dir/system_diary_headline.txt -c $charset --size 2048 4096 --padding-top 11 --padding-left 1
$relocate_font_png_cmd $in_dir/mincho_black_28.png  $in_dir/mincho_black_28.txt  $out_dir/system_menu.png           $out_dir/system_menu.txt           -c $charset --size 2048 4096 --padding-top 13 --padding-left 2 --padding-right 1

