set relocate_font_png_cmd=..\relocate_font_png.exe
set mask_png_cmd=..\mask_png.exe
set modify_font_info_cmd=..\modify_font_info.exe

set orig_dir=ORIG_DATA_UNMASKED
set in_dir=FONT_WORK
set out_dir=FONT_MERGED
set masked_dir=FONT_NEW

set rect_standard=system_standard.txt
set rect_options=system_options.txt
rem set rect_small=system_small.txt
set rect_diary=system_diary.txt
set rect_diary_headline=system_diary_headline.txt
set rect_menu=system_menu.txt

set charset_orig_standard=charset_orig_standard.txt
set charset_orig_options=charset_orig_options.txt
rem set charset_orig_small=charset_orig_small.txt
set charset_orig_diary=charset_orig_diary.txt
set charset_orig_diary_headline=charset_orig_diary_headline.txt
set charset_orig_menu=charset_orig_menu.txt
set charset_ja=charset_ja.txt

set in_font_cfg=font.cfg
set out_font_cfg=font_new.cfg
set list_file=rect_list.txt

if not exist %out_dir% mkdir %out_dir%

%relocate_font_png_cmd% --overwrap %orig_dir%\01991.system_standard.png          %orig_dir%\01991.txt -a %in_dir%\01991.system_standard.png          %in_dir%\%rect_standard%       %out_dir%\01991.system_standard.png          %out_dir%\01991.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\01992.system_standard_new.png      %orig_dir%\01992.txt -a %in_dir%\01992.system_standard_new.png      %in_dir%\%rect_standard%       %out_dir%\01992.system_standard_new.png      %out_dir%\01992.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\01993.system_standard_disabled.png %orig_dir%\01993.txt -a %in_dir%\01993.system_standard_disabled.png %in_dir%\%rect_standard%       %out_dir%\01993.system_standard_disabled.png %out_dir%\01993.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\01994.system_options.png           %orig_dir%\01994.txt -a %in_dir%\01994.system_options.png           %in_dir%\%rect_options%        %out_dir%\01994.system_options.png           %out_dir%\01994.txt --size 2048 2048 --sort --charset %charset_orig_options%        --charset %charset_ja%
rem %relocate_font_png_cmd% --overwrap %orig_dir%\01995.system_small.png             %orig_dir%\01995.txt -a %in_dir%\01995.system_small.png             %in_dir%\%rect_small%          %out_dir%\01995.system_small.png             %out_dir%\01995.txt --size 2048 1200 --sort --charset %charset_orig_small%          --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\01997.player_standard.png          %orig_dir%\01997.txt -a %in_dir%\01997.player_standard.png          %in_dir%\%rect_standard%       %out_dir%\01997.player_standard.png          %out_dir%\01997.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\01998.player_dialog_active.png     %orig_dir%\01998.txt -a %in_dir%\01998.player_dialog_active.png     %in_dir%\%rect_standard%       %out_dir%\01998.player_dialog_active.png     %out_dir%\01998.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\01999.nuri_standard.png            %orig_dir%\01999.txt -a %in_dir%\01999.nuri_standard.png            %in_dir%\%rect_standard%       %out_dir%\01999.nuri_standard.png            %out_dir%\01999.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02000.player_inner_voice.png       %orig_dir%\02000.txt -a %in_dir%\02000.player_inner_voice.png       %in_dir%\%rect_standard%       %out_dir%\02000.player_inner_voice.png       %out_dir%\02000.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02001.rabe_standard.png            %orig_dir%\02001.txt -a %in_dir%\02001.rabe_standard.png            %in_dir%\%rect_standard%       %out_dir%\02001.rabe_standard.png            %out_dir%\02001.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02002.system_diary.png             %orig_dir%\02002.txt -a %in_dir%\02002.system_diary.png             %in_dir%\%rect_diary%          %out_dir%\02002.system_diary.png             %out_dir%\02002.txt --size 2048 2560 --sort --charset %charset_orig_diary%          --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02003.system_diary_headline.png    %orig_dir%\02003.txt -a %in_dir%\02003.system_diary_headline.png    %in_dir%\%rect_diary_headline% %out_dir%\02003.system_diary_headline.png    %out_dir%\02003.txt --size 2048 2560 --sort --charset %charset_orig_diary_headline% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02004.system_menu.png              %orig_dir%\02004.txt -a %in_dir%\02004.system_menu.png              %in_dir%\%rect_menu%           %out_dir%\02004.system_menu.png              %out_dir%\02004.txt --size 2048 2560 --sort --charset %charset_orig_menu%           --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02005.system_menu_disabled.png     %orig_dir%\02005.txt -a %in_dir%\02005.system_menu_disabled.png     %in_dir%\%rect_menu%           %out_dir%\02005.system_menu_disabled.png     %out_dir%\02005.txt --size 2048 2560 --sort --charset %charset_orig_menu%           --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02006.system_menu_headline.png     %orig_dir%\02006.txt -a %in_dir%\02006.system_menu_headline.png     %in_dir%\%rect_menu%           %out_dir%\02006.system_menu_headline.png     %out_dir%\02006.txt --size 2048 2560 --sort --charset %charset_orig_menu%           --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02007.system_options_disabled.png  %orig_dir%\02007.txt -a %in_dir%\02007.system_options_disabled.png  %in_dir%\%rect_options%        %out_dir%\02007.system_options_disabled.png  %out_dir%\02007.txt --size 2048 2048 --sort --charset %charset_orig_options%        --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02008.blau_standard.png            %orig_dir%\02008.txt -a %in_dir%\02008.blau_standard.png            %in_dir%\%rect_standard%       %out_dir%\02008.blau_standard.png            %out_dir%\02008.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02009.braun_standard.png           %orig_dir%\02009.txt -a %in_dir%\02009.braun_standard.png           %in_dir%\%rect_standard%       %out_dir%\02009.braun_standard.png           %out_dir%\02009.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02010.grau_standard.png            %orig_dir%\02010.txt -a %in_dir%\02010.grau_standard.png            %in_dir%\%rect_standard%       %out_dir%\02010.grau_standard.png            %out_dir%\02010.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02011.gruen_standard.png           %orig_dir%\02011.txt -a %in_dir%\02011.gruen_standard.png           %in_dir%\%rect_standard%       %out_dir%\02011.gruen_standard.png           %out_dir%\02011.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02012.lila_standard.png            %orig_dir%\02012.txt -a %in_dir%\02012.lila_standard.png            %in_dir%\%rect_standard%       %out_dir%\02012.lila_standard.png            %out_dir%\02012.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02013.orange_standard.png          %orig_dir%\02013.txt -a %in_dir%\02013.orange_standard.png          %in_dir%\%rect_standard%       %out_dir%\02013.orange_standard.png          %out_dir%\02013.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02014.rot_standard.png             %orig_dir%\02014.txt -a %in_dir%\02014.rot_standard.png             %in_dir%\%rect_standard%       %out_dir%\02014.rot_standard.png             %out_dir%\02014.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02015.tuerkis_standard.png         %orig_dir%\02015.txt -a %in_dir%\02015.tuerkis_standard.png         %in_dir%\%rect_standard%       %out_dir%\02015.tuerkis_standard.png         %out_dir%\02015.txt --size 2048 2560 --sort --charset %charset_orig_standard%       --charset %charset_ja%

%mask_png_cmd% %out_dir% %masked_dir%

%modify_font_info_cmd% %in_font_cfg% %list_file% %out_font_cfg%

