#! /bin/sh

relocate_font_png_cmd=../relocate_font_png
mask_png_cmd=../mask_png
modify_font_info_cmd=../modify_font_info

orig_dir=ORIG_DATA_UNMASKED
in_dir=FONT_WORK
out_dir=FONT_MERGED
masked_dir=FONT_NEW

rect_standard=system_standard.txt
# rect_intro=intro_font.txt

charset_orig_standard=charset_orig_standard.txt
charset_ja=charset_ja.txt

in_font_cfg=font.cfg
out_font_cfg=font_new.cfg
list_file=rect_list.txt

if [ ! -d $out_dir ]
then
	mkdir -p $out_dir
fi

$relocate_font_png_cmd --overwrap $orig_dir/01195.font_lilly_naima_neu.png $orig_dir/01195.txt -a $in_dir/01195.font_lilly_naima_neu.png $in_dir/$rect_standard $out_dir/01195.font_lilly_naima_neu.png $out_dir/01195.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01196.font_speaker_naima.png   $orig_dir/01196.txt -a $in_dir/01196.font_speaker_naima.png   $in_dir/$rect_standard $out_dir/01196.font_speaker_naima.png   $out_dir/01196.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01199.font_menu_disabled.png   $orig_dir/01199.txt -a $in_dir/01199.font_menu_disabled.png   $in_dir/$rect_standard $out_dir/01199.font_menu_disabled.png   $out_dir/01199.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01201.font_shawney.png         $orig_dir/01201.txt -a $in_dir/01201.font_shawney.png         $in_dir/$rect_standard $out_dir/01201.font_shawney.png         $out_dir/01201.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01202.font_edna.png            $orig_dir/01202.txt -a $in_dir/01202.font_edna.png            $in_dir/$rect_standard $out_dir/01202.font_edna.png            $out_dir/01202.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01203.font_frank.png           $orig_dir/01203.txt -a $in_dir/01203.font_frank.png           $in_dir/$rect_standard $out_dir/01203.font_frank.png           $out_dir/01203.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01204.font_gerret.png          $orig_dir/01204.txt -a $in_dir/01204.font_gerret.png          $in_dir/$rect_standard $out_dir/01204.font_gerret.png          $out_dir/01204.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01205.font_capu.png            $orig_dir/01205.txt -a $in_dir/01205.font_capu.png            $in_dir/$rect_standard $out_dir/01205.font_capu.png            $out_dir/01205.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01206.font_memphis.png         $orig_dir/01206.txt -a $in_dir/01206.font_memphis.png         $in_dir/$rect_standard $out_dir/01206.font_memphis.png         $out_dir/01206.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01207.font_freeman.png         $orig_dir/01207.txt -a $in_dir/01207.font_freeman.png         $in_dir/$rect_standard $out_dir/01207.font_freeman.png         $out_dir/01207.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01208.font_dr_marcel.png       $orig_dir/01208.txt -a $in_dir/01208.font_dr_marcel.png       $in_dir/$rect_standard $out_dir/01208.font_dr_marcel.png       $out_dir/01208.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01209.font_harvey.png          $orig_dir/01209.txt -a $in_dir/01209.font_harvey.png          $in_dir/$rect_standard $out_dir/01209.font_harvey.png          $out_dir/01209.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01210.font_barkeeper.png       $orig_dir/01210.txt -a $in_dir/01210.font_barkeeper.png       $in_dir/$rect_standard $out_dir/01210.font_barkeeper.png       $out_dir/01210.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01211.font_petra.png           $orig_dir/01211.txt -a $in_dir/01211.font_petra.png           $in_dir/$rect_standard $out_dir/01211.font_petra.png           $out_dir/01211.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01212.font_droggelbecher.png   $orig_dir/01212.txt -a $in_dir/01212.font_droggelbecher.png   $in_dir/$rect_standard $out_dir/01212.font_droggelbecher.png   $out_dir/01212.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01213.font_blase.png           $orig_dir/01213.txt -a $in_dir/01213.font_blase.png           $in_dir/$rect_standard $out_dir/01213.font_blase.png           $out_dir/01213.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01214.font_suka.png            $orig_dir/01214.txt -a $in_dir/01214.font_suka.png            $in_dir/$rect_standard $out_dir/01214.font_suka.png            $out_dir/01214.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01215.font_birgit.png          $orig_dir/01215.txt -a $in_dir/01215.font_birgit.png          $in_dir/$rect_standard $out_dir/01215.font_birgit.png          $out_dir/01215.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01216.font_alter_greis.png     $orig_dir/01216.txt -a $in_dir/01216.font_alter_greis.png     $in_dir/$rect_standard $out_dir/01216.font_alter_greis.png     $out_dir/01216.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01217.font_bienenmann.png      $orig_dir/01217.txt -a $in_dir/01217.font_bienenmann.png      $in_dir/$rect_standard $out_dir/01217.font_bienenmann.png      $out_dir/01217.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01218.font_herr_mantel.png     $orig_dir/01218.txt -a $in_dir/01218.font_herr_mantel.png     $in_dir/$rect_standard $out_dir/01218.font_herr_mantel.png     $out_dir/01218.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01219.font_poki.png            $orig_dir/01219.txt -a $in_dir/01219.font_poki.png            $in_dir/$rect_standard $out_dir/01219.font_poki.png            $out_dir/01219.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01220.font_phantom.png         $orig_dir/01220.txt -a $in_dir/01220.font_phantom.png         $in_dir/$rect_standard $out_dir/01220.font_phantom.png         $out_dir/01220.txt --size 2048 2500 --sort --charset $charset_orig_standard --charset $charset_ja
# $relocate_font_png_cmd --overwrap $orig_dir/01221.intro_font.png           $orig_dir/01221.txt -a $in_dir/01221.intro_font.png           $in_dir/$rect_intro    $out_dir/01221.intro_font.png           $out_dir/01221.txt --size 4096 4000 --sort --charset $charset_orig_standard --charset $charset_ja

$mask_png_cmd $out_dir $masked_dir

$modify_font_info_cmd $in_font_cfg $list_file $out_font_cfg

