#ifndef __FILE_UTILS_H__
#define __FILE_UTILS_H__

#include <stdio.h>

extern int read_next_line(char **buffer, size_t *size, FILE *fp);
extern int read_append_next_line(char **buffer, size_t *size, FILE *fp);
extern int make_directory(const char *path, int path_is_file);
extern void convert_slash_to_backslash(char *str);
extern void convert_backslash_to_slash(char *str);

#endif	/* __FILE_UTILS_H__ */
