#! /bin/sh

cmd_mkvmerge=/usr/local/bin/mkvmerge
in_dir="/install_directory/Memoria/videos"
out_dir="VIDEOS_NEW"

if [ ! -d "$out_dir" ]
then
	mkdir -p "$out_dir"
fi

if [ -f subtitle.004.ja.txt -a ! subtitle.004.ja.txt -ot "$out_dir"/video.vv004 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv004 --track-order $order -s !3 "$in_dir"/video.vv004 --language 0:eng subtitle.004.ja.txt
fi

if [ -f subtitle.005.ja.txt -a ! subtitle.005.ja.txt -ot "$out_dir"/video.vv005 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv005 --track-order $order -s !3 "$in_dir"/video.vv005 --language 0:eng subtitle.005.ja.txt
fi

if [ -f subtitle.008.ja.txt -a ! subtitle.008.ja.txt -ot "$out_dir"/video.vv008 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv008 --track-order $order -s !3 "$in_dir"/video.vv008 --language 0:eng subtitle.008.ja.txt
fi

if [ -f subtitle.009.ja.txt -a ! subtitle.009.ja.txt -ot "$out_dir"/video.vv009 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv009 --track-order $order -s !3 "$in_dir"/video.vv009 --language 0:eng subtitle.009.ja.txt
fi

if [ -f subtitle.010.ja.txt -a ! subtitle.010.ja.txt -ot "$out_dir"/video.vv010 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5
	$cmd_mkvmerge -o "$out_dir"/video.vv010 --track-order $order -s !3 "$in_dir"/video.vv010 --language 0:eng subtitle.010.ja.txt
fi

if [ -f subtitle.011.ja.txt -a ! subtitle.011.ja.txt -ot "$out_dir"/video.vv011 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5
	$cmd_mkvmerge -o "$out_dir"/video.vv011 --track-order $order -s !3 "$in_dir"/video.vv011 --language 0:eng subtitle.011.ja.txt
fi

if [ -f subtitle.020.ja.txt -a ! subtitle.020.ja.txt -ot "$out_dir"/video.vv020 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv020 --track-order $order -s !3 "$in_dir"/video.vv020 --language 0:eng subtitle.020.ja.txt
fi

if [ -f subtitle.021.ja.txt -a ! subtitle.021.ja.txt -ot "$out_dir"/video.vv021 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv021 --track-order $order -s !3 "$in_dir"/video.vv021 --language 0:eng subtitle.021.ja.txt
fi

if [ -f subtitle.024.ja.txt -a ! subtitle.024.ja.txt -ot "$out_dir"/video.vv024 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv024 --track-order $order -s !3 "$in_dir"/video.vv024 --language 0:eng subtitle.024.ja.txt
fi

if [ -f subtitle.025.ja.txt -a ! subtitle.025.ja.txt -ot "$out_dir"/video.vv025 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv025 --track-order $order -s !3 "$in_dir"/video.vv025 --language 0:eng subtitle.025.ja.txt
fi

if [ -f subtitle.028.ja.txt -a ! subtitle.028.ja.txt -ot "$out_dir"/video.vv028 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv028 --track-order $order -s !3 "$in_dir"/video.vv028 --language 0:eng subtitle.028.ja.txt
fi

if [ -f subtitle.029.ja.txt -a ! subtitle.029.ja.txt -ot "$out_dir"/video.vv029 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv029 --track-order $order -s !3 "$in_dir"/video.vv029 --language 0:eng subtitle.029.ja.txt
fi

if [ -f subtitle.030.ja.txt -a ! subtitle.030.ja.txt -ot "$out_dir"/video.vv030 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv030 --track-order $order -s !3 "$in_dir"/video.vv030 --language 0:eng subtitle.030.ja.txt
fi

if [ -f subtitle.031.ja.txt -a ! subtitle.031.ja.txt -ot "$out_dir"/video.vv031 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv031 --track-order $order -s !3 "$in_dir"/video.vv031 --language 0:eng subtitle.031.ja.txt
fi

if [ -f subtitle.032.ja.txt -a ! subtitle.032.ja.txt -ot "$out_dir"/video.vv032 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv032 --track-order $order -s !3 "$in_dir"/video.vv032 --language 0:eng subtitle.032.ja.txt
fi

if [ -f subtitle.033.ja.txt -a ! subtitle.033.ja.txt -ot "$out_dir"/video.vv033 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv033 --track-order $order -s !3 "$in_dir"/video.vv033 --language 0:eng subtitle.033.ja.txt
fi

if [ -f subtitle.050.ja.txt -a ! subtitle.050.ja.txt -ot "$out_dir"/video.vv050 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv050 --track-order $order -s !3 "$in_dir"/video.vv050 --language 0:eng subtitle.050.ja.txt
fi

if [ -f subtitle.051.ja.txt -a ! subtitle.051.ja.txt -ot "$out_dir"/video.vv051 ]
then
	order=0:0,0:1,0:2,1:0,0:4,0:5,0:6
	$cmd_mkvmerge -o "$out_dir"/video.vv051 --track-order $order -s !3 "$in_dir"/video.vv051 --language 0:eng subtitle.051.ja.txt
fi

