#! /bin/sh

relocate_font_png_cmd=../relocate_font_png
charset=charset_work.txt
charset_big=charset_work_big.txt
in_dir=FONT_WORK
out_dir=FONT_WORK

if [ ! -d $out_dir ]
then
	mkdir -p $out_dir
fi

$relocate_font_png_cmd $in_dir/gothic_28.png        $in_dir/gothic_28.txt        $out_dir/standard.png            $out_dir/standard.txt            -c $charset      --size 2048 4096 --padding-top  3 --padding-left 1 --padding-right 1
$relocate_font_png_cmd $in_dir/gothic_23.png        $in_dir/gothic_23.txt        $out_dir/standard_small.png      $out_dir/standard_small.txt      -c $charset      --size 2048 3072 --padding-top  2 --padding-left 1 --padding-right 1
$relocate_font_png_cmd $in_dir/gothic_2by3_33.png   $in_dir/gothic_2by3_33.txt   $out_dir/system_card_active.png  $out_dir/system_card_active.txt  -c $charset      --size 2048 4096 --padding-top  5 --padding-left 1 --padding-right 1
$relocate_font_png_cmd $in_dir/mincho_shadow_28.png $in_dir/mincho_shadow_28.txt $out_dir/system_action_text.png  $out_dir/system_action_text.txt  -c $charset      --size 2048 4096 --padding-top  6 --padding-left 1 --padding-right 1
$relocate_font_png_cmd $in_dir/mincho_black_28.png  $in_dir/mincho_black_28.txt  $out_dir/system_standard.png     $out_dir/system_standard.txt     -c $charset      --size 2048 4096 --padding-top  7 --padding-left 1 --padding-right 1
$relocate_font_png_cmd $in_dir/mincho_black_60.png  $in_dir/mincho_black_60.txt  $out_dir/system_big.png          $out_dir/system_big.txt          -c $charset_big  --size 2048 6144 --padding-top 14 --padding-left 1 --padding-right 1
$relocate_font_png_cmd $in_dir/mincho_black_20.png  $in_dir/mincho_black_20.txt  $out_dir/system_small_active.png $out_dir/system_small_active.txt -c $charset      --size 2048 2048 --padding-top  3 --padding-left 1 --padding-right 1
# $relocate_font_png_cmd $in_dir/mincho_black_16.png  $in_dir/mincho_black_16.txt  $out_dir/system_small.png        $out_dir/system_small.txt        -c $charset      --size 2048 2048 --padding-top  1 --padding-left 1 --padding-right 1
$relocate_font_png_cmd $in_dir/mincho_shadow_35.png $in_dir/mincho_shadow_35.txt $out_dir/system_menu.png         $out_dir/system_menu.txt         -c $charset      --size 2048 6144 --padding-top  8 --padding-left 1 --padding-right 1

