#! /bin/sh

cmd_mkvmerge=/usr/local/bin/mkvmerge
in_dir="/install_directory/The Night of the Rabbit/videos"
out_dir="VIDEOS_NEW"

if [ ! -d "$out_dir" ]
then
	mkdir -p "$out_dir"
fi

if [ -f subtitle.000.ja.txt -a ! subtitle.000.ja.txt -ot "$out_dir"/video.vv000 ]
then
	order=0:0,0:1,0:2,0:3,1:0,0:5,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv000 --track-order $order -s !4 "$in_dir"/video.vv000 --language 0:eng subtitle.000.ja.txt
fi

if [ -f subtitle.001.ja.txt -a ! subtitle.001.ja.txt -ot "$out_dir"/video.vv001 ]
then
	order=0:0,0:1,0:2,0:3,1:0,0:5,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv001 --track-order $order -s !4 "$in_dir"/video.vv001 --language 0:eng subtitle.001.ja.txt
fi

if [ -f subtitle.010.ja.txt -a ! subtitle.010.ja.txt -ot "$out_dir"/video.vv010 ]
then
	order=0:0,0:1,0:2,0:3,1:0,0:5,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv010 --track-order $order -s !4 "$in_dir"/video.vv010 --language 0:eng subtitle.010.ja.txt
fi

if [ -f subtitle.011.ja.txt -a ! subtitle.011.ja.txt -ot "$out_dir"/video.vv011 ]
then
	order=0:0,0:1,0:2,0:3,1:0,0:5,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv011 --track-order $order -s !4 "$in_dir"/video.vv011 --language 0:eng subtitle.011.ja.txt
fi

if [ -f subtitle.012.ja.txt -a ! subtitle.012.ja.txt -ot "$out_dir"/video.vv012 ]
then
	order=0:0,0:1,0:2,0:3,1:0,0:5,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv012 --track-order $order -s !4 "$in_dir"/video.vv012 --language 0:eng subtitle.012.ja.txt
fi

if [ -f subtitle.013.ja.txt -a ! subtitle.013.ja.txt -ot "$out_dir"/video.vv013 ]
then
	order=0:0,0:1,0:2,0:3,1:0,0:5,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv013 --track-order $order -s !4 "$in_dir"/video.vv013 --language 0:eng subtitle.013.ja.txt
fi

if [ -f subtitle.014.ja.txt -a ! subtitle.014.ja.txt -ot "$out_dir"/video.vv014 ]
then
	order=0:0,0:1,0:2,0:3,1:0,0:5,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv014 --track-order $order -s !4 "$in_dir"/video.vv014 --language 0:eng subtitle.014.ja.txt
fi

if [ -f subtitle.015.ja.txt -a ! subtitle.015.ja.txt -ot "$out_dir"/video.vv015 ]
then
	order=0:0,0:1,0:2,0:3,1:0,0:5,0:6,0:7,0:8,0:9,0:10,0:11
	$cmd_mkvmerge -o "$out_dir"/video.vv015 --track-order $order -s !4 "$in_dir"/video.vv015 --language 0:eng subtitle.015.ja.txt
fi

