set relocate_font_png_cmd=..\relocate_font_png.exe
set mask_png_cmd=..\mask_png.exe
set modify_font_info_cmd=..\modify_font_info.exe

set orig_dir=ORIG_DATA_UNMASKED
set in_dir=FONT_WORK
set out_dir=FONT_MERGED
set masked_dir=FONT_NEW

set rect_standard=system_standard.txt

set charset_orig_standard=charset_orig_standard.txt
set charset_ja=charset_ja.txt

set in_font_cfg=font.cfg
set out_font_cfg=font_new.cfg
set list_file=rect_list.txt

if not exist %out_dir% mkdir %out_dir%

%relocate_font_png_cmd% --overwrap %orig_dir%\02919.system_standard.png         %orig_dir%\02919.txt -a %in_dir%\02919.system_standard.png         %in_dir%\%rect_standard%    %out_dir%\02919.system_standard.png         %out_dir%\02919.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02920.font_capu.png               %orig_dir%\02920.txt -a %in_dir%\02920.font_capu.png               %in_dir%\%rect_standard%    %out_dir%\02920.font_capu.png               %out_dir%\02920.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02921.font_memphis.png            %orig_dir%\02921.txt -a %in_dir%\02921.font_memphis.png            %in_dir%\%rect_standard%    %out_dir%\02921.font_memphis.png            %out_dir%\02921.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02922.font_alter_greis.png        %orig_dir%\02922.txt -a %in_dir%\02922.font_alter_greis.png        %in_dir%\%rect_standard%    %out_dir%\02922.font_alter_greis.png        %out_dir%\02922.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02923.font_frank.png              %orig_dir%\02923.txt -a %in_dir%\02923.font_frank.png              %in_dir%\%rect_standard%    %out_dir%\02923.font_frank.png              %out_dir%\02923.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02924.font_harvey.png             %orig_dir%\02924.txt -a %in_dir%\02924.font_harvey.png             %in_dir%\%rect_standard%    %out_dir%\02924.font_harvey.png             %out_dir%\02924.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02927.font_rufus.png              %orig_dir%\02927.txt -a %in_dir%\02927.font_rufus.png              %in_dir%\%rect_standard%    %out_dir%\02927.font_rufus.png              %out_dir%\02927.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02928.font_cletus.png             %orig_dir%\02928.txt -a %in_dir%\02928.font_cletus.png             %in_dir%\%rect_standard%    %out_dir%\02928.font_cletus.png             %out_dir%\02928.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02929.font_ulysses.png            %orig_dir%\02929.txt -a %in_dir%\02929.font_ulysses.png            %in_dir%\%rect_standard%    %out_dir%\02929.font_ulysses.png            %out_dir%\02929.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02930.font_radiosaenger.png       %orig_dir%\02930.txt -a %in_dir%\02930.font_radiosaenger.png       %in_dir%\%rect_standard%    %out_dir%\02930.font_radiosaenger.png       %out_dir%\02930.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02931.font_doc.png                %orig_dir%\02931.txt -a %in_dir%\02931.font_doc.png                %in_dir%\%rect_standard%    %out_dir%\02931.font_doc.png                %out_dir%\02931.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02932.font_toni.png               %orig_dir%\02932.txt -a %in_dir%\02932.font_toni.png               %in_dir%\%rect_standard%    %out_dir%\02932.font_toni.png               %out_dir%\02932.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02933.font_hannek.png             %orig_dir%\02933.txt -a %in_dir%\02933.font_hannek.png             %in_dir%\%rect_standard%    %out_dir%\02933.font_hannek.png             %out_dir%\02933.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02934.font_goal.png               %orig_dir%\02934.txt -a %in_dir%\02934.font_goal.png               %in_dir%\%rect_standard%    %out_dir%\02934.font_goal.png               %out_dir%\02934.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02935.font_papagei.png            %orig_dir%\02935.txt -a %in_dir%\02935.font_papagei.png            %in_dir%\%rect_standard%    %out_dir%\02935.font_papagei.png            %out_dir%\02935.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02936.font_lotti.png              %orig_dir%\02936.txt -a %in_dir%\02936.font_lotti.png              %in_dir%\%rect_standard%    %out_dir%\02936.font_lotti.png              %out_dir%\02936.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02937.font_speaker_naima.png      %orig_dir%\02937.txt -a %in_dir%\02937.font_speaker_naima.png      %in_dir%\%rect_standard%    %out_dir%\02937.font_speaker_naima.png      %out_dir%\02937.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02938.font_poki.png               %orig_dir%\02938.txt -a %in_dir%\02938.font_poki.png               %in_dir%\%rect_standard%    %out_dir%\02938.font_poki.png               %out_dir%\02938.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02939.font_lotek.png              %orig_dir%\02939.txt -a %in_dir%\02939.font_lotek.png              %in_dir%\%rect_standard%    %out_dir%\02939.font_lotek.png              %out_dir%\02939.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02940.font_argus.png              %orig_dir%\02940.txt -a %in_dir%\02940.font_argus.png              %in_dir%\%rect_standard%    %out_dir%\02940.font_argus.png              %out_dir%\02940.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02941.font_beamter1.png           %orig_dir%\02941.txt -a %in_dir%\02941.font_beamter1.png           %in_dir%\%rect_standard%    %out_dir%\02941.font_beamter1.png           %out_dir%\02941.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02942.font_beamter2.png           %orig_dir%\02942.txt -a %in_dir%\02942.font_beamter2.png           %in_dir%\%rect_standard%    %out_dir%\02942.font_beamter2.png           %out_dir%\02942.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02943.font_beamter3.png           %orig_dir%\02943.txt -a %in_dir%\02943.font_beamter3.png           %in_dir%\%rect_standard%    %out_dir%\02943.font_beamter3.png           %out_dir%\02943.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02944.font_lonzo.png              %orig_dir%\02944.txt -a %in_dir%\02944.font_lonzo.png              %in_dir%\%rect_standard%    %out_dir%\02944.font_lonzo.png              %out_dir%\02944.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02945.font_lobo.png               %orig_dir%\02945.txt -a %in_dir%\02945.font_lobo.png               %in_dir%\%rect_standard%    %out_dir%\02945.font_lobo.png               %out_dir%\02945.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02946.font_gonzo.png              %orig_dir%\02946.txt -a %in_dir%\02946.font_gonzo.png              %in_dir%\%rect_standard%    %out_dir%\02946.font_gonzo.png              %out_dir%\02946.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02947.font_postbote.png           %orig_dir%\02947.txt -a %in_dir%\02947.font_postbote.png           %in_dir%\%rect_standard%    %out_dir%\02947.font_postbote.png           %out_dir%\02947.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02948.font_rufus_zeitschleife.png %orig_dir%\02948.txt -a %in_dir%\02948.font_rufus_zeitschleife.png %in_dir%\%rect_standard%    %out_dir%\02948.font_rufus_zeitschleife.png %out_dir%\02948.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02949.font_gizmo.png              %orig_dir%\02949.txt -a %in_dir%\02949.font_gizmo.png              %in_dir%\%rect_standard%    %out_dir%\02949.font_gizmo.png              %out_dir%\02949.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02950.system_inactive.png         %orig_dir%\02950.txt -a %in_dir%\02950.system_inactive.png         %in_dir%\%rect_standard%    %out_dir%\02950.system_inactive.png         %out_dir%\02950.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%
%relocate_font_png_cmd% --overwrap %orig_dir%\02953.font_bozo.png               %orig_dir%\02953.txt -a %in_dir%\02953.font_bozo.png               %in_dir%\%rect_standard%    %out_dir%\02953.font_bozo.png               %out_dir%\02953.txt --size 2048 2500 --sort --charset %charset_orig_standard% --charset %charset_ja%

%mask_png_cmd% %out_dir% %masked_dir%

%modify_font_info_cmd% %in_font_cfg% %list_file% %out_font_cfg%

