#! /bin/sh

cmd_mkvmerge=/usr/local/bin/mkvmerge
in_dir="/install_directory/Deponia/videos"
out_dir=VIDEOS_NEW

if [ ! -d "$out_dir" ]
then
	mkdir -p "$out_dir"
fi

if [ -f subtitle.000.ja.txt -a ! subtitle.000.ja.txt -ot "$out_dir"/video.vv000 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv000 --track-order $order -s !7 "$in_dir"/video.vv000 --language 0:eng subtitle.000.ja.txt
fi

if [ -f subtitle.003.ja.txt -a ! subtitle.003.ja.txt -ot "$out_dir"/video.vv003 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23
	$cmd_mkvmerge -o "$out_dir"/video.vv003 --track-order $order -s !5 "$in_dir"/video.vv003 --language 0:eng subtitle.003.ja.txt
fi

if [ -f subtitle.004.ja.txt -a ! subtitle.004.ja.txt -ot "$out_dir"/video.vv004 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22
	$cmd_mkvmerge -o "$out_dir"/video.vv004 --track-order $order -s !5 "$in_dir"/video.vv004 --language 0:eng subtitle.004.ja.txt
fi

if [ -f subtitle.005.ja.txt -a ! subtitle.005.ja.txt -ot "$out_dir"/video.vv005 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv005 --track-order $order -s !7 "$in_dir"/video.vv005 --language 0:eng subtitle.005.ja.txt
fi

if [ -f subtitle.006.ja.txt -a ! subtitle.006.ja.txt -ot "$out_dir"/video.vv006 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv006 --track-order $order -s !7 "$in_dir"/video.vv006 --language 0:eng subtitle.006.ja.txt
fi

if [ -f subtitle.007.ja.txt -a ! subtitle.007.ja.txt -ot "$out_dir"/video.vv007 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv007 --track-order $order -s !7 "$in_dir"/video.vv007 --language 0:eng subtitle.007.ja.txt
fi

if [ -f subtitle.008.ja.txt -a ! subtitle.008.ja.txt -ot "$out_dir"/video.vv008 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv008 --track-order $order -s !7 "$in_dir"/video.vv008 --language 0:eng subtitle.008.ja.txt
fi

if [ -f subtitle.009.ja.txt -a ! subtitle.009.ja.txt -ot "$out_dir"/video.vv009 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv009 --track-order $order -s !7 "$in_dir"/video.vv009 --language 0:eng subtitle.009.ja.txt
fi

if [ -f subtitle.010.ja.txt -a ! subtitle.010.ja.txt -ot "$out_dir"/video.vv010 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22
	$cmd_mkvmerge -o "$out_dir"/video.vv010 --track-order $order -s !5 "$in_dir"/video.vv010 --language 0:eng subtitle.010.ja.txt
fi

if [ -f subtitle.011.ja.txt -a ! subtitle.011.ja.txt -ot "$out_dir"/video.vv011 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22
	$cmd_mkvmerge -o "$out_dir"/video.vv011 --track-order $order -s !5 "$in_dir"/video.vv011 --language 0:eng subtitle.011.ja.txt
fi

if [ -f subtitle.018.ja.txt -a ! subtitle.018.ja.txt -ot "$out_dir"/video.vv018 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv018 --track-order $order -s !7 "$in_dir"/video.vv018 --language 0:eng subtitle.018.ja.txt
fi

if [ -f subtitle.019.ja.txt -a ! subtitle.019.ja.txt -ot "$out_dir"/video.vv019 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv019 --track-order $order -s !7 "$in_dir"/video.vv019 --language 0:eng subtitle.019.ja.txt
fi

if [ -f subtitle.020.ja.txt -a ! subtitle.020.ja.txt -ot "$out_dir"/video.vv020 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv020 --track-order $order -s !7 "$in_dir"/video.vv020 --language 0:eng subtitle.020.ja.txt
fi

if [ -f subtitle.021.ja.txt -a ! subtitle.021.ja.txt -ot "$out_dir"/video.vv021 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv021 --track-order $order -s !7 "$in_dir"/video.vv021 --language 0:eng subtitle.021.ja.txt
fi

if [ -f subtitle.022.ja.txt -a ! subtitle.022.ja.txt -ot "$out_dir"/video.vv022 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv022 --track-order $order -s !7 "$in_dir"/video.vv022 --language 0:eng subtitle.022.ja.txt
fi

if [ -f subtitle.023.ja.txt -a ! subtitle.023.ja.txt -ot "$out_dir"/video.vv023 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv023 --track-order $order -s !7 "$in_dir"/video.vv023 --language 0:eng subtitle.023.ja.txt
fi

if [ -f subtitle.026.ja.txt -a ! subtitle.026.ja.txt -ot "$out_dir"/video.vv026 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22
	$cmd_mkvmerge -o "$out_dir"/video.vv026 --track-order $order -s !5 "$in_dir"/video.vv026 --language 0:eng subtitle.026.ja.txt
fi

if [ -f subtitle.027.ja.txt -a ! subtitle.027.ja.txt -ot "$out_dir"/video.vv027 ]
then
	order=0:0,0:1,0:2,0:3,0:4,1:0,0:6,0:7,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22
	$cmd_mkvmerge -o "$out_dir"/video.vv027 --track-order $order -s !5 "$in_dir"/video.vv027 --language 0:eng subtitle.027.ja.txt
fi

if [ -f subtitle.028.ja.txt -a ! subtitle.028.ja.txt -ot "$out_dir"/video.vv028 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv028 --track-order $order -s !7 "$in_dir"/video.vv028 --language 0:eng subtitle.028.ja.txt
fi

if [ -f subtitle.029.ja.txt -a ! subtitle.029.ja.txt -ot "$out_dir"/video.vv029 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv029 --track-order $order -s !7 "$in_dir"/video.vv029 --language 0:eng subtitle.029.ja.txt
fi

if [ -f subtitle.032.ja.txt -a ! subtitle.032.ja.txt -ot "$out_dir"/video.vv032 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv032 --track-order $order -s !7 "$in_dir"/video.vv032 --language 0:eng subtitle.032.ja.txt
fi

if [ -f subtitle.033.ja.txt -a ! subtitle.033.ja.txt -ot "$out_dir"/video.vv033 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv033 --track-order $order -s !7 "$in_dir"/video.vv033 --language 0:eng subtitle.033.ja.txt
fi

if [ -f subtitle.034.ja.txt -a ! subtitle.034.ja.txt -ot "$out_dir"/video.vv034 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv034 --track-order $order -s !7 "$in_dir"/video.vv034 --language 0:eng subtitle.034.ja.txt
fi

if [ -f subtitle.035.ja.txt -a ! subtitle.035.ja.txt -ot "$out_dir"/video.vv035 ]
then
	order=0:0,0:1,0:2,0:3,0:4,0:5,0:6,1:0,0:8,0:9,0:10,0:11,0:12,0:13,0:14,0:15,0:16,0:17,0:18,0:19,0:20,0:21,0:22,0:23,0:24
	$cmd_mkvmerge -o "$out_dir"/video.vv035 --track-order $order -s !7 "$in_dir"/video.vv035 --language 0:eng subtitle.035.ja.txt
fi

