set relocate_font_png_cmd=..\relocate_font_png.exe
set mask_png_cmd=..\mask_png.exe
set modify_font_info_cmd=..\modify_font_info.exe

set orig_dir=ORIG_DATA_UNMASKED
set in_dir=FONT_WORK
set out_dir=FONT_MERGED
set masked_dir=FONT_NEW

set rect_standard=system_standard.txt
set rect_pixel_white=pixel_white.txt
set rect_pixel_black=pixel_black.txt

set charset_orig_standard=charset_orig_standard.txt
set charset_orig_pixel_white=charset_orig_pixel_white.txt
set charset_orig_pixel_black=charset_orig_pixel_black.txt
set charset_ja=charset_ja.txt
set charset_ja_kana=charset_ja_kana.txt

set in_font_cfg=font.cfg
set out_font_cfg=font_new.cfg
set list_file=rect_list.txt

if not exist %out_dir% mkdir %out_dir%

%relocate_font_png_cmd% --overwrap  %orig_dir%\02391.system_standard.png         %orig_dir%\02391.txt -a %in_dir%\02391.system_standard.png         %in_dir%\%rect_standard%    %out_dir%\02391.system_standard.png         %out_dir%\02391.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02392.font_blue.png               %orig_dir%\02392.txt -a %in_dir%\02392.font_blue.png               %in_dir%\%rect_standard%    %out_dir%\02392.font_blue.png               %out_dir%\02392.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02393.font_magenta.png            %orig_dir%\02393.txt -a %in_dir%\02393.font_magenta.png            %in_dir%\%rect_standard%    %out_dir%\02393.font_magenta.png            %out_dir%\02393.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02394.font_yellow.png             %orig_dir%\02394.txt -a %in_dir%\02394.font_yellow.png             %in_dir%\%rect_standard%    %out_dir%\02394.font_yellow.png             %out_dir%\02394.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02397.font_rufus.png              %orig_dir%\02397.txt -a %in_dir%\02397.font_rufus.png              %in_dir%\%rect_standard%    %out_dir%\02397.font_rufus.png              %out_dir%\02397.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02398.font_cletus.png             %orig_dir%\02398.txt -a %in_dir%\02398.font_cletus.png             %in_dir%\%rect_standard%    %out_dir%\02398.font_cletus.png             %out_dir%\02398.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02399.font_doc.png                %orig_dir%\02399.txt -a %in_dir%\02399.font_doc.png                %in_dir%\%rect_standard%    %out_dir%\02399.font_doc.png                %out_dir%\02399.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02400.font_toni.png               %orig_dir%\02400.txt -a %in_dir%\02400.font_toni.png               %in_dir%\%rect_standard%    %out_dir%\02400.font_toni.png               %out_dir%\02400.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02401.font_goal.png               %orig_dir%\02401.txt -a %in_dir%\02401.font_goal.png               %in_dir%\%rect_standard%    %out_dir%\02401.font_goal.png               %out_dir%\02401.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02402.font_red.png                %orig_dir%\02402.txt -a %in_dir%\02402.font_red.png                %in_dir%\%rect_standard%    %out_dir%\02402.font_red.png                %out_dir%\02402.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02403.system_inactive.png         %orig_dir%\02403.txt -a %in_dir%\02403.system_inactive.png         %in_dir%\%rect_standard%    %out_dir%\02403.system_inactive.png         %out_dir%\02403.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02404.font_argus.png              %orig_dir%\02404.txt -a %in_dir%\02404.font_argus.png              %in_dir%\%rect_standard%    %out_dir%\02404.font_argus.png              %out_dir%\02404.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02405.font_ulysses.png            %orig_dir%\02405.txt -a %in_dir%\02405.font_ulysses.png            %in_dir%\%rect_standard%    %out_dir%\02405.font_ulysses.png            %out_dir%\02405.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02406.font_beamter1.png           %orig_dir%\02406.txt -a %in_dir%\02406.font_beamter1.png           %in_dir%\%rect_standard%    %out_dir%\02406.font_beamter1.png           %out_dir%\02406.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02407.font_beamter2.png           %orig_dir%\02407.txt -a %in_dir%\02407.font_beamter2.png           %in_dir%\%rect_standard%    %out_dir%\02407.font_beamter2.png           %out_dir%\02407.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02408.font_beamter3.png           %orig_dir%\02408.txt -a %in_dir%\02408.font_beamter3.png           %in_dir%\%rect_standard%    %out_dir%\02408.font_beamter3.png           %out_dir%\02408.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02411.font_dark_brown.png         %orig_dir%\02411.txt -a %in_dir%\02411.font_dark_brown.png         %in_dir%\%rect_standard%    %out_dir%\02411.font_dark_brown.png         %out_dir%\02411.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02412.font_light_brown.png        %orig_dir%\02412.txt -a %in_dir%\02412.font_light_brown.png        %in_dir%\%rect_standard%    %out_dir%\02412.font_light_brown.png        %out_dir%\02412.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02413.font_edna.png               %orig_dir%\02413.txt -a %in_dir%\02413.font_edna.png               %in_dir%\%rect_standard%    %out_dir%\02413.font_edna.png               %out_dir%\02413.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02414.font_light_blue.png         %orig_dir%\02414.txt -a %in_dir%\02414.font_light_blue.png         %in_dir%\%rect_standard%    %out_dir%\02414.font_light_blue.png         %out_dir%\02414.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02415.font_bozo.png               %orig_dir%\02415.txt -a %in_dir%\02415.font_bozo.png               %in_dir%\%rect_standard%    %out_dir%\02415.font_bozo.png               %out_dir%\02415.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02416.font_rufus_zeitschleife.png %orig_dir%\02416.txt -a %in_dir%\02416.font_rufus_zeitschleife.png %in_dir%\%rect_standard%    %out_dir%\02416.font_rufus_zeitschleife.png %out_dir%\02416.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02417.font_light_gray.png         %orig_dir%\02417.txt -a %in_dir%\02417.font_light_gray.png         %in_dir%\%rect_standard%    %out_dir%\02417.font_light_gray.png         %out_dir%\02417.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02418.font_pink.png               %orig_dir%\02418.txt -a %in_dir%\02418.font_pink.png               %in_dir%\%rect_standard%    %out_dir%\02418.font_pink.png               %out_dir%\02418.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02419.font_turqiose.png           %orig_dir%\02419.txt -a %in_dir%\02419.font_turqiose.png           %in_dir%\%rect_standard%    %out_dir%\02419.font_turqiose.png           %out_dir%\02419.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02420.font_harvey.png             %orig_dir%\02420.txt -a %in_dir%\02420.font_harvey.png             %in_dir%\%rect_standard%    %out_dir%\02420.font_harvey.png             %out_dir%\02420.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02421.font_poki.png               %orig_dir%\02421.txt -a %in_dir%\02421.font_poki.png               %in_dir%\%rect_standard%    %out_dir%\02421.font_poki.png               %out_dir%\02421.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --overwrap  %orig_dir%\02422.font_dark_gray.png          %orig_dir%\02422.txt -a %in_dir%\02422.font_dark_gray.png          %in_dir%\%rect_standard%    %out_dir%\02422.font_dark_gray.png          %out_dir%\02422.txt --size 2048 2500 --sort --charset %charset_orig_standard%    --charset %charset_ja%
%relocate_font_png_cmd% --spacing 1 %orig_dir%\02423.font_pixel_white.png        %orig_dir%\02423.txt -a %in_dir%\02423.font_pixel_white.png        %in_dir%\%rect_pixel_white% %out_dir%\02423.font_pixel_white.png        %out_dir%\02423.txt --size 1024 1024 --sort --charset %charset_orig_pixel_white% --charset %charset_ja_kana%
%relocate_font_png_cmd% --spacing 1 %orig_dir%\02424.font_pixel_black.png        %orig_dir%\02424.txt -a %in_dir%\02424.font_pixel_black.png        %in_dir%\%rect_pixel_black% %out_dir%\02424.font_pixel_black.png        %out_dir%\02424.txt --size 1024 1024 --sort --charset %charset_orig_pixel_black% --charset %charset_ja_kana%

%mask_png_cmd% %out_dir% %masked_dir%

%modify_font_info_cmd% %in_font_cfg% %list_file% %out_font_cfg%

