#! /bin/sh

change_color_cmd=../change_color
orig_dir=ORIG_DATA_UNMASKED
in_dir=FONT_WORK
out_dir=FONT_WORK

font_standard=$in_dir/system_standard.png
font_options=$in_dir/system_options.png
# font_small=$in_dir/system_small.png
font_diary=$in_dir/system_diary.png
font_diary_headline=$in_dir/system_diary_headline.png
font_options_small=$in_dir/system_options_small.png

if [ ! -d $out_dir ]
then
	mkdir -p $out_dir
fi

$change_color_cmd $orig_dir/01381.system_standard.png          103 339  41 347 $font_standard       $out_dir/01381.system_standard.png
$change_color_cmd $orig_dir/01382.system_standard_new.png      103 339  41 347 $font_standard       $out_dir/01382.system_standard_new.png
$change_color_cmd $orig_dir/01383.system_standard_disabled.png 103 339  41 347 $font_standard       $out_dir/01383.system_standard_disabled.png
$change_color_cmd $orig_dir/01384.system_options.png           487 216 487 216 $font_options        $out_dir/01384.system_options.png
# $change_color_cmd $orig_dir/01385.system_small.png             441 219  28 106 $font_small          $out_dir/01385.system_small.png
$change_color_cmd $orig_dir/01387.player_standard.png          103 339  41 347 $font_standard       $out_dir/01387.player_standard.png
$change_color_cmd $orig_dir/01388.player_dialog_active.png     103 339  41 347 $font_standard       $out_dir/01388.player_dialog_active.png
$change_color_cmd $orig_dir/01389.nuri_standard.png            103 339  41 347 $font_standard       $out_dir/01389.nuri_standard.png
$change_color_cmd $orig_dir/01390.player_inner_voice.png       103 339  41 347 $font_standard       $out_dir/01390.player_inner_voice.png
$change_color_cmd $orig_dir/01391.rabe_standard.png            103 339  41 347 $font_standard       $out_dir/01391.rabe_standard.png
$change_color_cmd $orig_dir/01392.system_diary.png              26 100 358  92 $font_diary          $out_dir/01392.system_diary.png
$change_color_cmd $orig_dir/01393.system_diary_headline.png     26 100 782 396 $font_diary_headline $out_dir/01393.system_diary_headline.png
$change_color_cmd $orig_dir/01394.system_menu.png              487 216 487 216 $font_options        $out_dir/01394.system_menu.png
$change_color_cmd $orig_dir/01395.system_menu_disabled.png     487 216 487 216 $font_options        $out_dir/01395.system_menu_disabled.png
$change_color_cmd $orig_dir/01396.system_menu_headline.png     487 216 487 216 $font_options        $out_dir/01396.system_menu_headline.png
$change_color_cmd $orig_dir/01397.system_options_disabled.png  487 216 487 216 $font_options        $out_dir/01397.system_options_disabled.png
$change_color_cmd $orig_dir/01398.blau_standard.png            103 339  41 347 $font_standard       $out_dir/01398.blau_standard.png
$change_color_cmd $orig_dir/01399.braun_standard.png           103 339  41 347 $font_standard       $out_dir/01399.braun_standard.png
$change_color_cmd $orig_dir/01400.grau_standard.png            103 339  41 347 $font_standard       $out_dir/01400.grau_standard.png
$change_color_cmd $orig_dir/01401.gruen_standard.png           103 339  41 347 $font_standard       $out_dir/01401.gruen_standard.png
$change_color_cmd $orig_dir/01402.lila_standard.png            103 339  41 347 $font_standard       $out_dir/01402.lila_standard.png
$change_color_cmd $orig_dir/01403.orange_standard.png          103 339  41 347 $font_standard       $out_dir/01403.orange_standard.png
$change_color_cmd $orig_dir/01404.rot_standard.png             103 339  41 347 $font_standard       $out_dir/01404.rot_standard.png
$change_color_cmd $orig_dir/01405.tuerkis_standard.png         103 339  41 347 $font_standard       $out_dir/01405.tuerkis_standard.png
$change_color_cmd $orig_dir/01406.system_options_small.png     346 219 346 219 $font_options_small  $out_dir/01406.system_options_small.png

