#ifndef __UTILS_H__
#define __UTILS_H__

extern const char *get_escape_str(int ch);
extern int check_escape_chars(const char *text);
extern char *escape_text(const char *text);
extern int unescape_text(char *text, char *endptr);
extern int get_next_utf8_char(unsigned long *code, const char *src, int check_escape);
extern char *skip_bom(char *src);
extern char *skip_space(char *src);
extern char *skip_crlf(char *src);
extern void trim_right(char *src);
extern char *code_to_string(char *des, int *size, unsigned long code);

#endif	/* __UTILS_H__ */
